:root {
    --color-white: #ececec;
    --color-dark: #1a1a1a;
    --color-primary: #0d6efd;
    --color-warning: #ffc107;
    --color-success: #20c996;
    --color-success-dark: #0f8863;
    --color-danger: #f04e5f;
    --color-danger-dark: #9f222f;
    --box-shadow: 0 5px 15px rgb(150 132 254 / 15%);
    --box-shadow-float: 0px 17px 10px -10px rgb(0 0 0 / 40%);
}

html {
    font-size: 10px;
}

body {
    font-size: 1.6rem !important;
}

input {
    outline: none;
}

.btn {
    outline: none;
    box-shadow: none;
    border: none;
}

.btn:hover,
.btn:focus,
.btn:active {
    outline: none;
    box-shadow: none;
    border-color: inherit;
}

.btn:active {
    transform: scale(0.8);
}

a {
    color: inherit;
    text-decoration: none;
}

a:hover {
    color: inherit;
    text-decoration: none;
}

ul {
    padding: 0;
    margin: 0;
}

.container,
.container-fluid {
    padding: 0 !important;
}

.hidden {
    display: none !important;
}

.icon-text {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}

.icon-text span {
    flex: 1;
    width: 100%;
}

::-webkit-scrollbar {
}

::-webkit-scrollbar-track {
    background: #e8ebed;
}

::-webkit-scrollbar-thumb {
    background: #ff9f43;
    min-height: 50px;
}

::-webkit-scrollbar-thumb:hover {
    background: #ff9f43;
}

/*------------------------------Form------------------------------*/

.text-left {
    text-align: left;
}
.text-right {
    text-align: right;
}
.text-center {
    text-align: center;
}

.form-input-control {
    position: relative;
    display: flex;
    flex-direction: column;
    flex: 1;
    width: 100%;
    margin-bottom: 1rem;
}

.input__label {
    color: #5b6670;
    font-weight: 600;
    font-size: 1.4rem;
    pointer-events: none;
    transition: all 0.3s ease;
    text-align: left;
}

.input__field {
    position: relative;
}

.input__field i {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 1.4rem;
}

.input__field i.input__icon {
    color: #ff9f43;
    left: 1rem;
    z-index: 100;
}

.form-input-control i.uil-shield-exclamation,
.form-input-control i.uil-shield-check {
    color: #e74c3c;
    visibility: hidden;
    right: 1rem;
}

.form-input-control.error i.uil-shield-exclamation {
    color: #e74c3c;
    visibility: visible;
}

.form-input-control.success i.uil-shield-check {
    color: #2ecc71;
    visibility: visible;
}

.form-input-control small {
    color: #e74c3c;
    font-size: 1.2rem !important;
    visibility: hidden;
    position: relative;
    height: 0;
    width: 0;
    text-align: left;
}

.form-input-control.error small {
    visibility: visible;
    height: auto;
    width: auto;
}

.input__field .form__input {
    border: 1px solid #d2d2d9;
    padding: 0.8rem 3.5rem 0.8rem 3.5rem;
    width: 100%;
    outline: none;
    font-size: 1.2rem;
    border-radius: 0.5rem;
    transition: all 0.3s ease;
    color: #424242;
    background: rgb(255, 255, 255);
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    padding-left: 3.5rem !important;
    padding-right: 3.5rem !important;
}

.input__field .form__input.readonly,
.input__field .form__input.disabled {
    background-color: #EEEEEE !important;
}

.input__field .form__input.readonly,
.input__field .form__input.disabled {
    background-color: #EEEEEE !important;
}

input[readonly] {
    background-color: #EEEEEE !important;
}

input[disabled] {
    background-color: #EEEEEE !important;
}

.input__field .form__input:focus {
    border-color: #ff9f43;
}

.form-input-control.error .input__field .form__input {
    border-color: #e74c3c;
}

.form-input-control.error .avatar-preview {
    border: 1px dashed #e74c3c;
}

.form-input-control.error .select2-container--default .select2-selection--single {
    border-color: #e74c3c !important;
}

.form-input-control.success .input__field .form__input {
    border-color: #2ecc71;
}

.form-input-control.success .select2-container--default .select2-selection--single {
    border-color: #2ecc71 !important;
}

.form-input-control i.uil-times {
    display: none;
    right: 1rem;
}

.form-input-control:has(.form__input:not(:placeholder-shown)) i.uil-times {
    display: block;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    display: none !important;
}

/*-----------------------Checkbox---------------------------*/

label span {
    color: #5b6670 !important;
}

.form__input.form__input--checkbox {
    padding-left: 1rem;
}

.checkbox__label {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    gap: 1rem;
    height: 2.2rem;
}

.checkbox__label .label {
    flex: 1;
    font-weight: 700;
}

.checkbox__label:has(input:disabled) .label {
    color: #c0c0c0;
}

.checkbox__label input[type="checkbox"],
.checkbox__label input[type="radio"] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.checkbox__label input[type="checkbox"]~.checkmark,
.checkbox__label input[type="radio"]~.checkmark {
    position: relative;
    width: 1.8rem;
    height: 1.8rem;
    border-radius: 2px;
    background: rgb(255, 255, 255);
    border: 1px solid rgb(99, 99, 99);
}

.checkbox__label input[type="checkbox"]~.checkmark::after,
.checkbox__label input[type="radio"]~.checkmark::after {
    content: "";
    position: absolute;
    width: 70%;
    height: 70%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: all 0.3s ease;
}

.checkbox__label input[type="checkbox"]:checked~.checkmark::after,
.checkbox__label input[type="radio"]:checked~.checkmark::after {
    background: #ffa500;
}

.checkbox__label--success {
    color: var(--color-success);
}

.checkbox__label--danger {
    color: var(--color-danger);
}

.checkbox__label--primary {
    color: var(--color-primary);
}

.checkbox__label--warning {
    color: var(--color-warning);
}

.checkbox__label--success input[type="checkbox"]:checked~.checkmark::after,
.checkbox__label--success input[type="radio"]:checked~.checkmark::after {
    background: var(--color-success);
}

.checkbox__label--danger input[type="checkbox"]:checked~.checkmark::after,
.checkbox__label--danger input[type="radio"]:checked~.checkmark::after {
    background: var(--color-danger);
}

.checkbox__label--primary input[type="checkbox"]:checked~.checkmark::after,
.checkbox__label--primary input[type="radio"]:checked~.checkmark::after {
    background: var(--color-primary);
}

.checkbox__label--warning input[type="checkbox"]:checked~.checkmark::after,
.checkbox__label--warning input[type="radio"]:checked~.checkmark::after {
    background: var(--color-warning);
}

@media screen and (max-width: 600px) {

    .checkbox__label input[type="checkbox"]~.checkmark,
    .checkbox__label input[type="radio"]~.checkmark {
        width: 1.4rem;
        height: 1.4rem;
        border-radius: 2px;
    }
}

/*------------------------------Toast------------------------------*/

.toast {
    position: fixed;
    top: 3rem;
    right: 3rem;
    max-width: 70%;
    padding: 0.5rem 2rem;
    border-radius: 0.5rem;
    font-weight: 700;
    letter-spacing: 1px;
    z-index: 99999;
    text-transform: capitalize;
}

.toast-content {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1rem;
}

.toast .icon {
    font-size: 4rem;
}

.toast .text {
    font-size: 1.8rem;
}

.toast--success {
    background: var(--color-success);
    color: white;
    border: none;
}

.toast--error {
    background: var(--color-danger);
    color: white;
    border: none;
}

@media screen and (max-width: 600px) {

    .toast {
        top: auto;
        right: auto;
        left: 50%;
        transform: translateX(-50%);
        bottom: 10rem;
        border-radius: 2rem;
        padding: 0.2rem 1rem;
    }

    .toast-content {
        justify-content: center;
        gap: 0.5rem;
    }

    .toast .icon {
        font-size: 1.4rem;
    }

    .toast .text {
        font-size: 1.2rem;
    }
}

/*---------------------Global Loader-------------------*/

#global-loader {
    top: 0 !important;
    background: #0000002b !important;
}

/*---------------------Timeline-----------------------*/

.timeline {
    margin: 0 0 45px;
    padding: 0;
    position: relative;
}

.timeline::before {
    border-radius: 0.25rem;
    background-color: #dee2e6;
    bottom: 0;
    content: "";
    left: 31px;
    margin: 0;
    position: absolute;
    top: 0;
    width: 4px;
}

.timeline>div {
    margin-bottom: 15px;
    margin-right: 10px;
    position: relative;
}

.timeline>div::before,
.timeline>div::after {
    content: "";
    display: table;
}

.timeline>div>.timeline-item {
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.125), 0 1px 3px rgba(0, 0, 0, 0.2);
    border-radius: 0.25rem;
    background-color: #fff;
    color: #495057;
    margin-left: 60px;
    margin-right: 15px;
    margin-top: 0;
    padding: 0;
    position: relative;
}

.timeline>div>.timeline-item>.time {
    color: #999;
    float: right;
    font-size: 12px;
    padding: 10px;
}

.timeline>div>.timeline-item>.timeline-header {
    border-bottom: 1px solid rgba(0, 0, 0, 0.125);
    color: #495057;
    font-size: 16px;
    line-height: 1.1;
    margin: 0;
    padding: 10px;
}

.timeline>div>.timeline-item>.timeline-header>a {
    font-weight: 600;
}

.timeline>div>.timeline-item>.timeline-body,
.timeline>div>.timeline-item>.timeline-footer {
    padding: 10px;
}

.timeline>div>.timeline-item>.timeline-body>img {
    margin: 10px;
}

.timeline>div>.timeline-item>.timeline-body>dl,
.timeline>div>.timeline-item>.timeline-body ol,
.timeline>div>.timeline-item>.timeline-body ul {
    margin: 0;
}

.timeline>div>.timeline-item>.timeline-footer>a {
    color: #fff;
}

.timeline>div>.fa,
.timeline>div>.fas,
.timeline>div>.far,
.timeline>div>.fab,
.timeline>div>.fal,
.timeline>div>.fad,
.timeline>div>.svg-inline--fa,
.timeline>div>.ion {
    background-color: #adb5bd;
    border-radius: 50%;
    font-size: 16px;
    height: 30px;
    left: 18px;
    line-height: 30px;
    position: absolute;
    text-align: center;
    top: 0;
    width: 30px;
}

.timeline>div>.svg-inline--fa {
    padding: 7px;
}

.timeline>.time-label>span {
    border-radius: 4px;
    background-color: #fff;
    display: inline-block;
    font-weight: 600;
    padding: 5px;
}

.timeline-inverse>div>.timeline-item {
    box-shadow: none;
    background-color: #f8f9fa;
    border: 1px solid #dee2e6;
}

.timeline-inverse>div>.timeline-item>.timeline-header {
    border-bottom-color: #dee2e6;
}

.dark-mode .timeline::before {
    background-color: #6c757d;
}

.dark-mode .timeline>div>.timeline-item {
    background-color: #343a40;
    color: #fff;
    border-color: #6c757d;
}

.dark-mode .timeline>div>.timeline-item>.timeline-header {
    color: #ced4da;
    border-color: #6c757d;
}

.dark-mode .timeline>div>.timeline-item>.time {
    color: #ced4da;
}

/*------------------------------Matrix------------------------------*/

#matrix_rain {
    display: flex;
    max-width: 50vw;
    height: 100%;
    overflow: hidden;
    border-radius: 2rem 0 0 2rem;
    background: black;
    max-height: calc(100vh - 2rem);
}

#matrix_rain p {
    line-height: 1;
}

#matrix_rain span {
    display: block;
    width: 2vmax;
    height: 2vmax;
    font-size: 1.5vmax;
    color: #9bff9b11;
    text-align: center;
    font-family: "Helvetica Neue", Helvetica, sans-serif;
}

/*------------------------------Error------------------------------*/

.error-card {
    margin: auto !important;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    justify-content: center;
    align-items: center;
    position: relative;
}

.error__icon {
    width: 100%;
    height: auto;
    text-align: center;
    max-width: 20rem;
    margin: auto;
}

.error__icon--sm {
    max-width: 15rem;
}

.error__icon--lg {
    max-width: 30rem;
}

.error__icon img {
    width: 100%;
    height: 100%;
    filter: drop-shadow(0px 5px 5px rgb(197, 197, 197));
}

.error__title {
    text-align: center;
    color: var(--color-danger);
    font-weight: 700;
    letter-spacing: 1px;
}

.error__text {
    text-align: center;
    color: gray;
}

.redirect__text {
    text-align: center;
    color: var(--color-success);
    font-weight: 700;
}

.redirect__time {
    text-align: center;
    color: var(--color-success-dark);
    font-weight: 700;
}

.redirect__url {
    display: none;
}

/*--------------------------------Custom------------------------------*/

.dropdown-item {
    font-size: 1.5rem !important;
}

table tbody td.action-table-data a .feather {
    width: 14px;
    height: 14px;
}

.notes-dash {
    margin-top: 0;
}

/*--------------------------------Accordion--------------------------*/

.accordion-card-one .accordion-item .accordion-button .addproduct-icon h5 {
    gap: 1rem;
}

.accordion-card-one .accordion-item .accordion-button .addproduct-icon h5 svg {
    color: #ffa500;
}

.table-top-head li .btn {
    height: 38px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    justify-content: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    border: 1px solid #e8ebed;
    background: #fff;
    border-radius: 8px;
    padding: 6px 15px !important;
}

.table-top-head li .btn-primary svg {
    width: 16px;
    margin-right: 5px;
    color: #fff;
}

.table-top-head li a {
    min-width: 38px;
}

.table-top-head li a svg {
    color: #092c4c;
    width: 20px;
}

.page-header .btn {
    gap: .5rem;
}

.page-header .btn svg {
    width: 18px;
}

.employee-grid-profile ul.department {
    flex-direction: column;
    gap: 1rem;
}

.employee-grid-profile ul.department li.flex {
    justify-content: space-between;
    display: flex;
}

.employee-grid-profile ul.department li span {
    margin-top: 0;
}

.profile-upload {
    position: relative;
    max-width: 150px;
    margin: auto;
    text-align: center;
}

.profile-edit {
    display: block;
    position: relative;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    cursor: pointer;
}

.avatar-edit input[type="file"] {
    opacity: 0;
    position: absolute;
    width: 100%;
    height: 100%;
    cursor: pointer;
}

.profile-preview {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    border: 6px solid #f8f8f8;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
    transition: opacity 0.3s ease-in-out;
}

.avatar-edit .avatar-dlt,
.avatar-edit .avatar-add {
    position: absolute;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.2s ease-in-out;
}

.avatar-edit .avatar-dlt,
.avatar-edit .avatar-add {
    top: 10px;
    right: 10px;
}

.avatar-edit .avatar-dlt {
    background-color: rgb(244 34 34 / 60%);
    display: none;
}

.avatar-edit .avatar-add {
    background-color: rgb(9 44 76 / 60%);
}

.avatar-edit .avatar-dlt:hover,
.avatar-edit .avatar-add:hover {
    background-color: rgba(0, 0, 0, 0.8);
}

.avatar-edit .avatar-dlt svg,
.avatar-edit .avatar-add svg {
    width: 50%;
}

.avatar-edit.active .avatar-dlt {
    display: block;
}

.avatar-edit.active .avatar-add {
    display: none;
}

.avatar-name {
    margin-top: 10px;
    font-size: 12px;
    color: #555;
    word-wrap: break-word;
}

/*-----------------------------------------Action Dropdown-------------------------------------------*/

.employee-grid-profile .dropdown.profile-action ul li a:hover svg {
    color: #ff9f43;
}

/*-----------------------------------------Select-------------------------------------------*/

.select2-container {
    width: 100% !important;
}

.badges-lineinfo {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    padding: 3px 10px;
    height: 24px
}

.ck.ck-content.ck-editor__editable.ck-rounded-corners.ck-editor__editable_inline.ck-blurred {
    font-size: 1.6rem;
}

.phone-img {
    width: 150px !important;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.custom_tabs {
    margin-top: 15px !important;
    margin-left: 10px !important;
}

.inactive {
    background: #f3f6f9;
    border: 1px solid;
}

tr.converted td {
    background: #c8fecd !important;
}

tr.not-interested td {
    background: #ffb1b1 !important;
}

tr.duehighlight td {
    background: #fcffbd !important;
}

tr.dayhighlight td {
    background: #fcffbd !important;
}

tr.upcominghighlight td {
    background: transparent !important;
}

tr.unpaid td {
    background: #ffb1b1 !important;
}

tr.fully_paid td {
    background: #c8fecd !important;
}

tr.partially_paid td {
    background: #fcffbd !important;
}

.form-control {
    font-size: 1.3rem !important;
}

p:last-child {
    margin-bottom: 0;
    font-size: 1.3rem !important;
}

.btn-success[disabled] {
    width: 90px;
    background-color: #84a54e !important;
    pointer-events: visible;
    cursor: not-allowed;
    width: 100%;
}

span.menu_list {
    margin-left: 7px;
}

.hide {
    display: none;
}

.paid td {
    background: #bae3d5;
}

ul.pagination {
    margin: 2px 0;
    white-space: nowrap;
    justify-content: flex-end;
}

.dataTables_paginate .pagination li.previous.disabled {
    width: 20px;
}

.dataTables_paginate .paginate_button.previous,
.dataTables_paginate .paginate_button.next {
    border: none;
    color: #646B72 !important;
    background-color: transparent !important;
}

.dataTables_paginate .pagination li {
    margin: 0 5px;
}

.dataTables_paginate .paginate_button {
    color: #646B72;
    width: 24px;
    height: 24px;
    border-radius: 50px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    margin-left: 8px;
}

.dataTables_paginate .pagination li.previous.disabled a {
    background-color: transparent;
    border: 0;
    width: 20px;
}

.dataTables_paginate .pagination li a {
    background: var(--Stroke, rgba(145, 158, 171, 0.3));
    border-radius: 85px !important;
    width: 25px;
    height: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #5B6670;
    font-size: 12px;
}

.disabled>.page-link,
.page-link.disabled {
    color: #646B72;
    background-color: #ffffff;
    border-color: #E6EAED;
    opacity: 0.7;
}

.page-link {
    color: #646B72;
    background-color: #ffffff;
    border: 1px solid #E6EAED;
}

.disabled>.page-link,
.page-link.disabled {
    color: var(--bs-pagination-disabled-color);
    pointer-events: none;
    background-color: var(--bs-pagination-disabled-bg);
    border-color: var(--bs-pagination-disabled-border-color);
}

.page-link {
    position: relative;
    display: block;
    padding: var(--bs-pagination-padding-y) var(--bs-pagination-padding-x);
    font-size: var(--bs-pagination-font-size);
    color: var(--bs-pagination-color);
    text-decoration: none;
    background-color: var(--bs-pagination-bg);
    border: var(--bs-pagination-border-width) solid var(--bs-pagination-border-color);
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

i.fa-solid.fa-filter {
    color: #fff;
}

.sidebar .sidebar-menu>ul>li.submenu-open ul li a i {
    width: 25px;
}

.customizer-links {
    display: none;
}

.table-top-head a,
.table-top-head button,
.page-btn a,
.page-btn button {
    height: 35px !important;
    width: auto !important;
}

.header .header-left {
    justify-content: center;
    align-items: center;
}

.header .header-left .logo img {
    width: 90%;
}

.header .dropdown-menu.menu-drop-user {
    width: 180px;
}

.page-btn .btn {
    padding: 5px 12px !important;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 5px !important;
    font-size: 12px;
}

#collapse-header.active {
    background-color: #ff9f43;
    border-color: snow;
}

.card .card-body.add-product .addproduct-icon {
    margin: 0 0 10px 0;
    padding: 0px 5px 10px;
}

.accordion-card-one .accordion-item .accordion-button .addproduct-icon h5 {
    gap: 1.3rem;
}

.card .card-body.add-product .addproduct-icon h5 .add-info {
    margin-top: -2px;
}

.addproduct-icon a {
    opacity: 0.8;
}

.card.table-list-card .table-responsive {
    padding: 18px;
}

.table thead tr th {
    font-weight: 500;
    font-size: 14px;
    white-space: nowrap;
}

.table tbody tr td {
    color: #495057;
    font-size: 14px;
    white-space: nowrap;
}

.table tbody tr td.wrap {
    white-space: pre-wrap !important;
}

.table_img {
    width:70px;
    min-width:70px;
    height:50px;
    min-height:50px;
    object-fit:contain;
    border-radius:5px;
    border:1px solid gainsboro;
}

.table_avatar {
    width:45px;
    height:45px;
    object-fit:cover;
    border-radius:50%;
    border:1px solid gainsboro;
}

.table th, .table td {
    padding: 0.8rem 1.5rem;
}

.card.table-list-card .table-top {
    padding: 18px 18px 0;
    margin-bottom: 15px;
}

.total-employees {
    background-color: #e8f2ff;
    padding: 12px 15px;
    margin: 0;
}

.bg-red td {
    background: #ffc7bd;
}
.bg-green td {
    background: lightgreen;
}

.page-wrapper {
    overflow: hidden;
    height: 100dvh;
}

.page-wrapper .content {
    padding: 20px;
    padding-bottom: 0;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    height: 100%;
}

.page-wrapper .content .table-list-card,
.page-wrapper .content form {
    overflow: auto;
    flex: 1;
}

.note-editor .note-toolbar>.note-btn-group, .note-popover .popover-content>.note-btn-group {
    margin: 0;
}

.note-editor .note-toolbar, .note-popover .popover-content {
    display: flex;
    gap: 10px;
}

.note-editor .note-btn {
    font-size: 1.2rem;
}

.note-editor .note-btn::after {
    font-size: .9rem;
    margin-inline-start: .7rem;
}

.note-editor .note-toolbar .note-color .dropdown-toggle, .note-popover .popover-content .note-color .dropdown-toggle {
    width: 30px;
    padding-left: 0;
}

.note-editor p, .note-editor span {
    font-size: 1.5rem !important;
    margin-bottom: 10px;
}

.table tbody tr td a .info-img, .table tbody tr td a i {
    margin-right: 8px;
    width: 16px;
    height: 16px
}

.user-info .user-letter img {
    object-fit: cover;
    height: 100%;
}

.profilename .profileset .user-img img {
    object-fit: cover;
    height: 100%;
}


















